Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::OctetSeq Class Reference

`#include <OctetSeqC.h>`

Inheritance diagram for CORBA::OctetSeq:

[legend]
Collaboration diagram for CORBA::OctetSeq:

[legend]
List of all members.

## Public Types
typedef OctetSeq_var | _var_type
## Public Methods
| OctetSeq (void)
| OctetSeq (CORBA::ULong max)
| OctetSeq (CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release=0)
| OctetSeq (const OctetSeq &)
| ~OctetSeq (void)
| OctetSeq (CORBA::ULong length, const ACE_Message_Block *mb)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef OctetSeq_var CORBA::OctetSeq::_var_type

## Constructor & Destructor Documentation

CORBA::OctetSeq::OctetSeq | ( | void |  | ) |

CORBA::OctetSeq::OctetSeq | ( | CORBA::ULong | max | ) |

CORBA::OctetSeq::OctetSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Octet * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

CORBA::OctetSeq::OctetSeq | ( | const OctetSeq & |  | ) |

CORBA::OctetSeq::~OctetSeq | ( | void |  | ) |

CORBA::OctetSeq::OctetSeq | ( | CORBA::ULong | length,
|  | const ACE_Message_Block * | mb
| ) | `[inline]`

## Member Function Documentation

void CORBA::OctetSeq::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Use in the implementation of insertion and extraction operators from CORBA::Any Reimplemented from TAO_Unbounded_Sequence< CORBA::Octet >.

The documentation for this class was generated from the following files:

- OctetSeqC.h
- OctetSeqC.cpp